Skip to main content
`Ctrl`+`K`

# numpy.polynomial.chebyshev.chebsub

polynomial.chebyshev.chebsub(c1, c2)

  Subtract one Chebyshev series from another.

  Returns the difference of two Chebyshev series c1 - c2. The sequences of coefficients are from lowest order term to highest, i.e., [1,2,3] represents the series `T_0 + 2*T_1 + 3*T_2`.

  Parameters:
    c1, c2 array_like

      1-D arrays of Chebyshev series coefficients ordered from low to high.

  Returns:
    out ndarray

      Of Chebyshev series coefficients representing their difference.

  See also

  `chebadd`, `chebmulx`, `chebmul`, `chebdiv`, `chebpow`

  Notes

  Unlike multiplication, division, etc., the difference of two Chebyshev series is a Chebyshev series (without having to “reproject” the result onto the basis set) so subtraction, just like that of “standard” polynomials, is simply “component-wise.”

  Examples

      >>> from numpy.polynomial import chebyshev as C
      >>> c1 = (1,2,3)
      >>> c2 = (3,2,1)
      >>> C.chebsub(c1,c2)
      array([-2.,  0.,  2.])
      >>> C.chebsub(c2,c1) # -C.chebsub(c1,c2)
      array([ 2.,  0., -2.])